#!/usr/bin/python 
import subprocess
import shlex
import time
import os.path
import syslog

while True:
        pgContainerName = subprocess.check_output("docker ps --filter 'name=PostgreSQL' --format '{{.Names}}'", shell=True)
        mysqlContainerName = subprocess.check_output("docker ps --filter 'name=MySQL' --format '{{.Names}}'", shell=True)
        if pgContainerName:
                containerName = pgContainerName
                break
        elif mysqlContainerName:
                containerName = mysqlContainerName
                break
        else:
                syslog.syslog("Container happens to be not up yet, will wait 5 seconds and retry...")
                time.sleep(5)

cniDelPath = "/usr/local/bin/invokecnidel.sh"
cniAddPath = "/usr/local/bin/invokecniadd.sh"
delResult = "Not Executed DEL"
addResult = "Not Executed ADD"
if os.path.exists(cniDelPath):
	while delResult:
		try:
			delResult = subprocess.check_output(shlex.split(cniDelPath + " " + containerName + ' default'))
			syslog.syslog("Delete Container Network Interface successfully.")
		except subprocess.CalledProcessError as grepExcDel:
			syslog.syslog(syslog.LOG_ERR, grepExcDel.output)
			time.sleep(2)
if os.path.exists(cniAddPath):
	while addResult:
		try:
			addResult = subprocess.check_output(shlex.split(cniAddPath + " " + containerName + ' default'))
			syslog.syslog("Add Container Network Interface successfully.")
		except subprocess.CalledProcessError as grepExcAdd:
			syslog.syslog(syslog.LOG_ERR, grepExcAdd.output)
			time.sleep(2)
